

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

# Laurent - 3.0.3-2mdk BE CAREFULL I modify directly kdevelop/template/admin.tar.gz
# to allow to compile template with automake-1.4 and autoconf-2.13

%define lib_name_orig %mklibname kdevelop
%define lib_major 2
%define lib_name %lib_name_orig%lib_major


Name: 		kdevelop
Summary: 	Integrated Development Environment for C++/C
Version: 	2.1.5
Release: 	16mdk
Epoch:		3

Source0: 	kdevelop-%{version}_for_KDE_3.1.tar.bz2
Source1:	c_cpp_reference-2.0.2.tar.bz2
Source2:	kdevelop-3.0-kdevelop

# Laurent Fix kdevelop template source to compile with kde3.1
# include moc
Source4:	kdemdi.tar.gz
Source5:	kicker.tar.gz  
Source6:	kpart.tar.gz  
Source7:	normal2.tar.gz
Source8:	qtmdi.tar.gz
Source9:	ktheme.tar.gz
# fix compile with automake-1.4
Source10:	admin.tar.gz

Patch1:		kdevelop-2.0.1-fix-compile.patch.bz2
Patch2:		kdevelop-2.0.2-fix-exec-designer.patch.bz2

# Laurent - 2.0.2-6mdk - disable ok button in "create new class", patch commited in kde 2.2.2 branch 
Patch3:		kdevelop-2.0.2-disable-ok-button.patch.bz2
# Laurent - 2.0.2-7mdk - disable ok button in "insert new file" dialogbox.
Patch4:		kdevelop-2.0.2-disable-ok-button-new-file-dialogbox.patch.bz2
# Laurent - 2.0.2-7mdk - disable ok button in search/replace dialogbox
Patch5: 	kdevelop-2.0.2-disable-ok-button-in-search-dialogbox.patch.bz2
# Laurent - 2.0.2-7mdk - disable search button in grep dialogbox
Patch6:		kdevelop-2.0.2-disable-search-button-in-grep-dialogbox.patch.bz2

# Laurent 3.0.2-2mdk patch for ix64!
Patch7:     kde-lib64updates.patch.bz2

# Laurent 2.1.3-4mdk fix mem leak
Patch8:		kdevelop-3.0.3-fix-mem-leak.patch.bz2

Patch9:		kdevelop-2.1.5-fix-doc.patch.bz2

Patch10:	kdevelop-2.1.5-fix-compile.patch.bz2

Patch11:	kdevelop-2.1.5-fix-messagebox.patch.bz2

Patch12:	kdevelop-2.1.5-use-xvt.patch.bz2

URL: 		http://www.kdevelop.org/
Group: 		Development/C++
BuildRoot: 	%_tmppath/%name-%version-%release-root
License: 	GPL
PreReq: 	autoconf automake enscript gcc-c++ gcc-cpp gimp arts openssl-devel
PreReq:		kdegraphics kdelibs-devel kdesdk  kdeutils XFree86-devel
PreReq:		libjpeg-devel libqt3-devel make perl sgml-tools gettext zlib1-devel
PreReq:		 kdbg  ctags
Requires:	libpng3-devel libart_lgpl2-devel


Requires:	automake = 1.4,  autoconf = 2.13

Requires:	%lib_name = 3:%version-%release

%if %buildfor8_2
BuildRequires:  arts flex kdelibs-devel libjpeg-devel 
BuildRequires:  libpng-devel XFree86-devel 
%endif

%if %buildfor9_0 || %buildfor9_1
BuildRequires:  arts flex kdelibs-devel libjpeg-devel
BuildRequires:  libpng-devel XFree86-devel
BuildRequires:	libart_lgpl2-devel
%endif

%if %buildfor9_2 
BuildRequires:  kdelibs-devel libjpeg-devel
BuildRequires:  png-devel XFree86-devel
BuildRequires:  libart_lgpl-devel
%endif


%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
     
   * KAppWizard, which generates complete, ready-to-go sample applications
   
   * Classgenerator, for creating new classes and integrating them into the
     current project
     
   * File management for sources, headers, documentation etc. to be included in
     the project
     
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
     
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
     
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
     
   * Debugging your application by integrating KDbg
   
   * Editing of project-specific pixmaps with KIconEdit
   
   * The inclusion of any other program you need for development by adding it to
     the "Tools" menu according to your individual needs.


%package -n %lib_name-devel
Summary:    Development files for kdevelop
Group:      Development/KDE and Qt

Obsoletes:	kdevelop-devel
Provides:	kdevelop-devel = 3:%version-%release

%description -n %lib_name-devel
Development files for kdevelop.


%package -n %lib_name
Summary:    Librairies files for kdevelop
Group:      Development/KDE and Qt

%description -n %lib_name
Librairies files for kdevelop.



%prep

%setup -q -a 1 -nkdevelop-%{version}_for_KDE_3.1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5	-p1
%patch6 -p1
#%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%patch11 -p1

%patch12 -p1 -b .use_xvt

%build
%if %buildfor9_2 || %buildfor9_1
#make -f admin/Makefile.common cvs
%endif

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export QTLIB=$QTDIR/%{_lib}

# search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }
        ./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --disable-static \
                    --with-xinerama \
                    --with-qtdoc-dir=%_docdir/qt-3.0.3/html/ \
                    --with-kdelibsdoc-dir=%_docdir/HTML/en/ \
                    --disable-rpath


%make


%install
rm -fr %buildroot

####                                                       ####
#### Convert KDE menu structure to Mandrake menu structure ####
####                                                       ####

# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
make install DESTDIR=%buildroot 

# Create LMDK menus
install -d %buildroot/%_menudir

# Dadou - 2.1-1mdk - This one is provided by qt2-designer
#kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/designer.desktop %buildroot/%_menudir/kdevelop-designer
kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/kdevelop-setup.desktop %buildroot/%_menudir/kdevelop-kdevelop-setup
kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/kdevelop.desktop %buildroot/%_menudir/kdevelop-kdevelop
# Dadou - 2.1-1mdk - This one is not provided in LMDK distribution
#kdedesktop2mdkmenu.pl kdevelop Applications/Development/Development\ environments %buildroot/%_datadir/applnk/Development/linguist.desktop %buildroot/%_menudir/kdevelop-lingusit

# LMONTEL - 1.4-0.20010116-1mdk - Version in menu is not allowed
# Dadou - 1.4-1mdk - Warning, version change time to time. Check it everytime
#                    you rebuild this package
perl -pi -e "s|KDevelop 2.1|KDevelop|g" %buildroot/%_menudir/kdevelop-kdevelop
perl -pi -e "s|KDevelop 2.1|KDevelop|g" %buildroot/%_menudir/kdevelop-kdevelop-setup

mv %buildroot/%_bindir/kdevelop %buildroot/%_bindir/kdevelop-real
install -m 0755 %SOURCE2 %buildroot/%_bindir/kdevelop

# Laurent MONTEL - 2.2-0.alpha1.1mdk - Removed because it's provided by kdesdk
rm -f %buildroot/%_bindir/extractrc

# Dadou - 2.2-0.beta1.1mdk - Removed because they are provided by kdelibs
rm -f %buildroot/%_datadir/mimelnk/application/x-designer.desktop
rm -f %buildroot/%_datadir/mimelnk/application/x-linguist.desktop

cp %SOURCE4	%buildroot/%_datadir/apps/kdevelop/templates/
cp %SOURCE5 %buildroot/%_datadir/apps/kdevelop/templates/
cp %SOURCE6 %buildroot/%_datadir/apps/kdevelop/templates/
cp %SOURCE7 %buildroot/%_datadir/apps/kdevelop/templates/
cp %SOURCE8 %buildroot/%_datadir/apps/kdevelop/templates/
cp %SOURCE9 %buildroot/%_datadir/apps/kdevelop/templates/
cp %SOURCE10 %buildroot/%_datadir/apps/kdevelop/templates/

(
cd c_cpp_reference-2.0.2/
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
		./configure --with-qt-dir=$QTDIR \
					--with-qt-includes=$QTDIR/include/ \
					--with-qt-libraries=$QTDIR/%_lib \
					--prefix=%_prefix \
					--enable-mt

%makeinstall
)
rm -rf %buildroot/%_datadir/locale

%clean
rm -fr %buildroot

%files
%defattr(-,root,root) 
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kdevelop/
%doc %_docdir/HTML/en/kdevelop/*.html
%doc %_docdir/HTML/en/kdevelop/*.png

%dir %_docdir/HTML/en/kdevelop/about/
%doc %_docdir/HTML/en/kdevelop/about/*.css
%doc %_docdir/HTML/en/kdevelop/about/*.html
%doc %_docdir/HTML/en/kdevelop/about/*.png

%dir %_docdir/HTML/en/kdevelop/kde_libref/
%doc %_docdir/HTML/en/kdevelop/kde_libref/*.html
%doc %_docdir/HTML/en/kdevelop/kde_libref/*.png

%dir %_docdir/HTML/en/kdevelop/programming/
%doc %_docdir/HTML/en/kdevelop/programming/*.html
%doc %_docdir/HTML/en/kdevelop/programming/*.png


%dir %_docdir/HTML/en/kdevelop/tutorial/
%doc %_docdir/HTML/en/kdevelop/tutorial/*.html
%doc %_docdir/HTML/en/kdevelop/tutorial/*.png
#
%dir %_docdir/HTML/en/kdevelop/reference/
%doc %_docdir/HTML/en/kdevelop/reference/*

%dir %_docdir/HTML/en/kdevelop/welcome/
%doc %_docdir/HTML/en/kdevelop/welcome/*.html
%doc %_docdir/HTML/en/kdevelop/welcome/*.png


#
%_bindir/*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/*
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kdevelop/
%_datadir/apps/kdevelop/*.rc
%_datadir/apps/kdevelop/*.spec
%_datadir/apps/kdevelop/eventsrc
%_datadir/apps/kdevelop/tips
#
#
%dir %_datadir/apps/kdevelop/icons/
%dir %_datadir/apps/kdevelop/icons/hicolor/
%dir %_datadir/apps/kdevelop/icons/hicolor/16x16/
%dir %_datadir/apps/kdevelop/icons/hicolor/16x16/actions/
%_datadir/apps/kdevelop/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kdevelop/icons/hicolor/22x22/
%dir %_datadir/apps/kdevelop/icons/hicolor/22x22/actions/
%_datadir/apps/kdevelop/icons/hicolor/22x22/actions/*.png
#
#
%dir %_datadir/apps/kdevelop/pics/
%_datadir/apps/kdevelop/pics/*.png
#
#
%dir %_datadir/apps/kdevelop/templates/
%_datadir/apps/kdevelop/templates/*
#
#
%dir %_datadir/apps/kdevelop/tools/
%_datadir/apps/kdevelop/tools/*.pl
%_datadir/apps/kdevelop/tools/*.sh
%_datadir/apps/kdevelop/tools/kimport
#
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/kdevelop2.upd
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop


%files -n %lib_name-devel
%defattr(-,root,root)
%_libdir/*.so


%files -n %lib_name
%defattr(-,root,root)
%_libdir/*.la
%_libdir/*.so.*


%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%post
%update_menus


%postun
%clean_menus

%changelog
* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-16mdk
- Fix ia64 compile ( patch from Gwenole)

* Fri Sep 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-15mdk
- Use xvt as term. Bug found by Chmouel

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-14mdk
- Fix build

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-13mdk
- Fix requires/Provides/Obsolete

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-12mdk
- Add patch11: Fix kmessagebox, bug found by David Baudens

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-11mdk
- Fix BuildRequires

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-10mdk
- Fix provides/obsoletes

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-9mdk
- Libification

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-8mdk
- Rebuild

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-7mdk
- Fix requires

* Thu Jun 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-6mdk
- Remove config with automake/autoconf

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-5mdk
- Fix kdevelop script as reported by shirka@wanadoo.fr thanks.
=> fix bug #3773

* Mon Apr 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-4mdk
- Add patch9: patch from gbeauchesne@mandrakesoft.com Handle biarch struct utmp in documentation

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-3mdk
- Fix compile with automake-1.4

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-2mdk
- Fix build requires 

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-1mdk
- 2.1.5

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-5mdk
- Add source9 : fix theme template compile

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-4mdk
- Add source4-5-6 : fix template kdevelop. Fix compile, include moc etc...

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-3mdk
- Add requires

* Fri Jan 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-2mdk
- Apply Gwenole patch "Make it lib64 aware"

* Thu Nov 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-1mdk
- 2.1.4

* Sat Oct 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-7mdk
- Fix for compile on cooker version

* Sat Sep 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-6mdk
- Fix C reference

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-5mdk
- Conflict with automake1.6/autoconf2.5

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-4mdk
- Add patch8 : fix mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-3mdk
- Rebuild

* Thu Aug 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-2mdk
- Fix compile template with automake-1.4 and autoconf-2.13

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-1mdk
- 2.1.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-5mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-4mdk
- Rebuild against gcc-3.2

* Fri Jul 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-3mdk
- Remove requires on htdig

* Fri Jul 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-2mdk
- Remove dependance from htdig_dev
- Fix spec file

* Sat Jul 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-1mdk
- kdevelop2.1.2
- Fix exec kdevelop (by menu )
- Fix exec qtdesigner

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-5mdk
- Rebuild

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-4mdk
- fix menu entry

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-3mdk
- Rebuild

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-2mdk
- Fix spec file

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-2mdk
- rebuild against gcc3.1

* Mon Apr 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-1mdk
- First package 

